Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 859)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 861)
@@ -916,110 +1016,29 @@
            flux_s_u(k,tn)   = flux_n(k)
            diss_s_u(k,tn)   = diss_n(k)
-!
-!--        Statistical Evaluation of u'u'. The factor has to be applied for 
+           flux_d           = flux_t(k)
+           diss_d           = diss_t(k)
+!
+!--        Statistical Evaluation of u'u'. The factor has to be applied for
 !--        right evaluation when gallilei_trans = .T. .
-           sums_us2_ws_l(k,tn) = sums_us2_ws_l(k,tn)                                &
-             + ( flux_r(k) *                                                  &
-               ( u_comp(k) - 2.0 * hom(k,1,1,0) )                             &
-             / ( u_comp(k) - gu + 1.0E-20      )                              &
-             +   diss_r(k) *                                                  &
-                 ABS( u_comp(k) - 2.0 * hom(k,1,1,0) )                        &
-             / ( ABS( u_comp(k) - gu ) + 1.0E-20 ) )                          &
-             *   weight_substep(intermediate_timestep_count)
-       ENDDO 
-       sums_us2_ws_l(nzb_u_inner(j,i),tn) = sums_us2_ws_l(nzb_u_inner(j,i)+1,tn)
-                                           
-
-!
-!--    Vertical advection, degradation of order near surface and top. 
-!--    The fluxes flux_d and diss_d at the surface are 0. Due to reasons of
-!--    statistical evaluation the top flux at the surface should be 0
-       flux_t(nzb_u_inner(j,i)) = 0. !statistical reasons
-       diss_t(nzb_u_inner(j,i)) = 0.
-!
-!--    2nd order scheme (bottom)
-       k         = nzb_u_inner(j,i)+1
-       flux_d    = flux_t(k-1)
-       diss_d    = diss_t(k-1)
-       w_comp    = w(k,j,i) + w(k,j,i-1)
-       flux_t(k) = w_comp * ( u(k+1,j,i) + u(k,j,i) ) *0.25
-       diss_t(k) = diss_2nd( u(k+2,j,i), u(k+1,j,i), u(k,j,i), 0., 0.,        &
-                             w_comp, 0.25, ddzw(k) )
-             
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 -   flux_d    - diss_d      ) * ddzw(k)
-!
-!--    WS3 as an intermediate step (bottom)
-       k         = nzb_u_inner(j,i)+2
-       flux_d    = flux_t(k-1)
-       diss_d    = diss_t(k-1)
-       w_comp    = w(k,j,i) + w(k,j,i-1)
-       flux_t(k) = w_comp * (                                                 &
-                   7.0 * ( u(k+1,j,i) + u(k,j,i)   )                          &
-                 -       ( u(k+2,j,i) + u(k-1,j,i) ) ) * adv_mom_3
-       diss_t(k) = -ABS( w_comp) * (                                          &
-                   3.0 * ( u(k+1,j,i) - u(k,j,i)   )                          & 
-                 -       ( u(k+2,j,i) - u(k-1,j,i) ) ) * adv_mom_3
-
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 -   flux_d    - diss_d      ) * ddzw(k)
-!
-!--    WS5
-       DO  k = nzb_u_inner(j,i)+3, nzt-2
-          flux_d    = flux_t(k-1)
-          diss_d    = diss_t(k-1)
-          w_comp    = w(k,j,i) + w(k,j,i-1)
-          flux_t(k) = w_comp * (                                              &
-                      37.0 * ( u(k+1,j,i) + u(k,j,i)   )                      &
-                    -  8.0 * ( u(k+2,j,i) + u(k-1,j,i) )                      &
-                    +        ( u(k+3,j,i) + u(k-2,j,i) ) ) * adv_mom_5
-          diss_t(k) = - ABS( w_comp ) * (                                     &
-                      10.0 *  ( u(k+1,j,i) - u(k,j,i)   )                     & 
-                    -  5.0 * ( u(k+2,j,i) - u(k-1,j,i) )                      &
-                    +        ( u(k+3,j,i) - u(k-2,j,i) ) ) * adv_mom_5
-
-          tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                 &
-                                    -   flux_d    - diss_d      ) * ddzw(k)
+           sums_us2_ws_l(k,tn) = sums_us2_ws_l(k,tn)                          &
+                              + ( flux_r(k) *                                 &
+                                ( u_comp(k) - 2.0 * hom(k,1,1,0) )            &
+                              / ( u_comp(k) - gu + 1.0E-20      )             &
+                              +   diss_r(k) *                                 &
+                                  ABS( u_comp(k) - 2.0 * hom(k,1,1,0) )       &
+                              / ( ABS( u_comp(k) - gu ) + 1.0E-20 ) )         &
+                              *   weight_substep(intermediate_timestep_count)
+!
+!--        Statistical Evaluation of w'u'.
+           sums_wsus_ws_l(k,tn) = sums_wsus_ws_l(k,tn)                        &
+                              + ( flux_t(k) + diss_t(k) )                     &
+                              *   weight_substep(intermediate_timestep_count)
        ENDDO
-!
-!--    WS3 as an intermediate step (top)
-       k         = nzt - 1
-       flux_d    = flux_t(k-1)
-       diss_d    = diss_t(k-1)
-       w_comp    = w(k,j,i) + w(k,j,i-1)
-       flux_t(k) = w_comp * (                                                 &
-                   7.0 * ( u(k+1,j,i) + u(k,j,i)   )                          &
-                 -       ( u(k+2,j,i) + u(k-1,j,i) ) ) * adv_mom_3
-       diss_t(k) = - ABS( w_comp ) * (                                        &
-                   3.0 * ( u(k+1,j,i) - u(k,j,i)   )                          & 
-                 -       ( u(k+2,j,i) - u(k-1,j,i) ) ) * adv_mom_3
-                   
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 -   flux_d    - diss_d      ) * ddzw(k)
-       
-!
-!--    2nd order scheme (top)
-       k         = nzt
-       flux_d    = flux_t(k-1)
-       diss_d    = diss_t(k-1)
-       w_comp    = w(k,j,i)+w(k,j,i-1)
-       flux_t(k) = w_comp * ( u(k+1,j,i) + u(k,j,i) ) * 0.25
-       diss_t(k) = diss_2nd( u(k+1,j,i), u(k+1,j,i), u(k,j,i), u(k-1,j,i),    &
-                             u(k-2,j,i), w_comp, 0.25, ddzw(k) )
-
-       tend(k,j,i) = tend(k,j,i) - ( flux_t(k) + diss_t(k)                    &
-                                 -   flux_d    - diss_d      ) * ddzw(k)
-
-!
-!--    sum up the vertical momentum fluxes
-       DO  k = nzb_u_inner(j,i), nzt
-          sums_wsus_ws_l(k,tn) = sums_wsus_ws_l(k,tn)                               &
-              + ( flux_t(k) + diss_t(k) )                                     &
-              *   weight_substep(intermediate_timestep_count)
-       ENDDO
+
+       sums_us2_ws_l(nzb,tn) = sums_us2_ws_l(nzb+1,tn)
+
 
 
     END SUBROUTINE advec_u_ws_ij
-
 
 
